Bug 1284199 - SELinux is preventing xenconsoled from using the 'sys_tty_config' capabilities.
SELinux is preventing xenconsoled from using the 'sys_tty_config' capabilities.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
23
x86_64 Unspecified
medium Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:9627c032e57e060aebabcd189ba...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-21 16:31 EST by sudikeru
Modified: 2016-04-14 12:05 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-14 12:05:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sudikeru 2015-11-21 16:31:21 EST
Description of problem:
Start Fedora 23 with xen
SELinux is preventing xenconsoled from using the 'sys_tty_config' capabilities.

*****  Plugin catchall (100. confidence) suggests   **************************

If вы считаете, что xenconsoled следует разрешить доступ sys_tty_config по умолчанию.
Then рекомендуется создать отчет об ошибке.
Чтобы разрешить доступ, можно создать локальный модуль политики.
Do
чтобы разрешить доступ, выполните:
# grep xenconsoled /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:xenconsoled_t:s0
Target Context                system_u:system_r:xenconsoled_t:s0
Target Objects                Unknown [ capability ]
Source                        xenconsoled
Source Path                   xenconsoled
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-154.fc23.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.2.6-300.fc23.x86_64 #1 SMP Tue
                              Nov 10 19:32:21 UTC 2015 x86_64 x86_64
Alert Count                   1
First Seen                    2015-11-22 00:26:17 MSK
Last Seen                     2015-11-22 00:26:17 MSK
Local ID                      9122a09b-f775-4824-adc5-98568b413136

Raw Audit Messages
type=AVC msg=audit(1448141177.904:104): avc:  denied  { sys_tty_config } for  pid=779 comm="xenconsoled" capability=26  scontext=system_u:system_r:xenconsoled_t:s0 tcontext=system_u:system_r:xenconsoled_t:s0 tclass=capability permissive=0


Hash: xenconsoled,xenconsoled_t,xenconsoled_t,capability,sys_tty_config

Version-Release number of selected component:
selinux-policy-3.13.1-154.fc23.noarch

Additional info:
reporter:       libreport-2.6.3
hashmarkername: setroubleshoot
kernel:         4.2.6-300.fc23.x86_64
type:           libreport

Potential duplicate: bug 1264639
Comment 1 Cole Robinson 2016-04-14 12:05:37 EDT
Despite multiple attempts across multiple bugs sudikeru@freeletter.me hasn't
responded to NEEDINFO and infact the mail address bounces. Closing this as
INSUFFICIENT_DATA

Note You need to log in before you can comment on or make changes to this bug.